local Action = DSTAction
return {
    ACTIONS = {CHANGEIN = Action({priority = -1})},
    FNS = {
        CHANGEIN = function(act)
            if act.doer ~= nil and act.target ~= nil and act.target.components.wardrobe ~= nil
                or act.target.components.groomer ~= nil then

                local component = nil
                if act.target.components.wardrobe then component = act.target.components.wardrobe end
                if act.target.components.groomer then component = act.target.components.groomer end

                local success, reason = component:CanBeginChanging(act.doer)
                if not success then return false, reason end

                -- Silent fail for opening wardrobe in the dark
                if CanEntitySeeTarget(act.doer, act.target) then component:BeginChanging(act.doer) end
                return true
            end
        end
    },
    STRFNS = {
        CHANGEIN = function(act)
            return act.target ~= nil and act.target:HasTag("dressable") and "DRESSUP" or nil
        end
    }
}
