return function(builder)
    local Ingredient = DSTIngredient
    local _Recipe2 = Recipe2
    local function Recipe2(name, ingredient, tech, config)
        if config and config.builder_tag then
            if not builder or builder:HasTag(config.builder_tag) then
                return _Recipe2(name, ingredient, tech, config)
            end
        else
            return _Recipe2(name, ingredient, tech, config)
        end
    end
    -- reskin_tool
    Recipe2("reskin_tool", {Ingredient("twigs", 1), Ingredient("petals", 4)}, TECH.SCIENCE_TWO, {
        tab = "survival" -- added
    })
    Recipe2("wardrobe", {Ingredient("boards", 4), Ingredient("cutgrass", 3)}, TECH.SCIENCE_TWO, {
        placer = "wardrobe_placer",
        tab = "town" -- added
    })
end
