--special replace prefab
local replace_prefab={
    heatrock=function(name,skin)return name:gsub("heat_rock",skin)end
}
return function(InventoryItem)
    local ChangeImageName = InventoryItem.ChangeImageName
    function InventoryItem:ChangeImageName(name, ...)
        local skinname = self.inst:GetSkinName()
        local prefab=self.inst.prefab
        if skinname and not string.find(name, skinname, 1, true) then
            --print("prefab=",prefab,"name=", name, "skinname=", skinname)
            if replace_prefab[prefab] then name=replace_prefab[prefab](name,skinname)else
            name = string.gsub(name,prefab , skinname)
            end
            --print(">", name)
        end
        return ChangeImageName(self, name, ...)
    end
end
