local function ChangePortrait(self, portrait, slotnum)
    if not portrait then return end
    local character = SaveGameIndex:GetSlotCharacter(slotnum)
    local skin = SaveGameIndex.GetSlotSkin and SaveGameIndex:GetSlotSkin(slotnum)
    if not skin then return end
    portrait:SetTexture(GetInventoryItemAtlas(skin), skin)
end
return function(self, profile)
    local old = self.MakeSaveTile
    function self:MakeSaveTile(slotnum, ...)
        local ret = {old(self, slotnum, ...)}
        ChangePortrait(self, self.portrait, slotnum)
        return unpack(ret)
    end
end
