local GridWardrobePopupScreen = require"screens/wardrobepopupgridloadout"
return function(PlayerHud)
    function PlayerHud:IsPauseScreenOpen()
        local active_screen = TheFrontEnd:GetActiveScreen()
        return active_screen ~= nil and active_screen.name == "PauseScreen" -- #FIXME
    end
    function PlayerHud:OpenScreenUnderPause(screen)
        if self:IsPauseScreenOpen() then
            function TheFrontEnd:InsertScreenUnderTop(screen) -- #FIXME
                self.screenroot:AddChild(screen)
                table.insert(self.screenstack, #self.screenstack, screen)
                self.screenstack[#self.screenstack]:MoveToFront()
                self.consoletext:MoveToFront()
                self.serverpausewidget:MoveToFront()
            end
            TheFrontEnd:InsertScreenUnderTop(screen)
        else
            TheFrontEnd:PushScreen(screen)
        end
    end
    function PlayerHud:ClearRecentGifts()
        if self.recentgiftstask ~= nil then
            self.recentgiftstask:Cancel()
            self.recentgiftstask = nil
        end
        self.recentgifts = nil
    end
    function PlayerHud:OpenWardrobeScreen(target)
        -- Hack for holding offset when transitioning from giftitempopup to wardrobepopup
        -- TheCamera:PopScreenHOffset(self)--deleted, useless

        if self.wardrobepopup ~= nil and self.wardrobepopup.inst:IsValid() then
            TheFrontEnd:PopScreen(self.wardrobepopup)
        end

        if target ~= nil then
            self.wardrobepopup = ScarecrowClothingPopupScreen(target, self.owner, Profile)
        else
            self.wardrobepopup = GridWardrobePopupScreen(self.owner, Profile, self.recentgifts ~= nil and
                self.recentgifts.item_types or nil, self.recentgifts ~= nil and self.recentgifts.item_ids or nil)
        end

        if not TheWorld.ismastersim then
            local map = TheFrontEnd:GetOpenScreenOfType("MapScreen")
            if map ~= nil and self.controls ~= nil then self.controls:HideMap() end
        end

        self:ClearRecentGifts()
        self:OpenScreenUnderPause(self.wardrobepopup)
        return true
    end

    function PlayerHud:CloseWardrobeScreen()
        local activescreen = TheFrontEnd:GetActiveScreen()

        if activescreen == nil then return end

        if activescreen.name ~= "ItemServerContactPopup" then
            -- Hack for holding offset when transitioning from giftitempopup to wardrobepopup
            -- TheCamera:PopScreenHOffset(self)--deleted useless
            self:ClearRecentGifts()

            if self.wardrobepopup ~= nil then
                if self.wardrobepopup.inst:IsValid() then TheFrontEnd:PopScreen(self.wardrobepopup) end
                self.wardrobepopup = nil
            end
        else
            self.inst:DoTaskInTime(.2, function() self:CloseWardrobeScreen() end)
        end
    end
    function PlayerHud:CloseGroomerScreen() end--#FIXME
end
