local function fn(anim)
    local inst = CreateEntity()
    inst:AddTag("FX")
    inst:AddTag("INTERIOR_LIMBO_IMMUNE")
    inst.entity:SetCanSleep(false)
    inst.persists = false
    inst.entity:AddTransform()
    if anim~=false then
        inst.entity:AddAnimState()
        inst.AnimState:SetFinalOffset(1)
        local old = inst.GetDebugString
        function inst:GetDebugString()
            local olds = old(inst)
            local attr = {
                state = "currentstate",
                next = "nextstate",
                bank = "_bank",
                build = "_build",
                anim = "_anim",
                delay = "_delay",
                paused = "paused",
                timing = "_timing"
            }
            local str = "{attr}={value}"
            local t = {}
            for i, v in pairs(attr) do table.insert(t, subfmt(str, {attr = i, value = tostring(inst[v])})) end
            return olds .. table.concat(t, " ")
        end
        inst.tostring = inst.GetDebugString
    end
    return inst
end
return Prefab("ds_skin_fx", fn), Prefab("ds_skin_fx_noanim", function()
    return fn(false)
end)
