return function(BundleMaker)
  local old = BundleMaker.OnStartBundling
  local function OnStartBundling(self)
    local skinname = self.inst:GetSkinName()
    if skinname then
      LinkSkin("bundle", string.gsub(skinname, "bundlewrap", "bundle"), -1)
    else
      LinkSkin("bundle", nil, -1)
    end
  end
  function BundleMaker:OnStartBundling(...)
    OnStartBundling(self)
    return old(self, ...)
  end
end
